Ansible Error: "couldn't resolve module/action 'postgresql_db'

cancel
Showing results for 
Search instead for 
Did you mean: 
SilentJ
Member II

Ansible Error: "couldn't resolve module/action 'postgresql_db'

Greetings,

I am attempting to install community version 7.1 on CentOS Stream 8 using Ansible and the official instructions found here.  When I run the playbook, I receive the error:

"Error! couldn't resolve module/action 'postgresql_db'. This often indicates a misspelling, missing collction, or incorrect module path.  

The error appears to be in '/alfreso-ansible-deployment-1.1.1/roles/postgres/tasks/main.yml': line 58, column 7, but may be elswhere in the file depending on the exact syntax problem.

The offending line appears to be:

   block:

      - name: "Create a new database with name {{ item }}""

It goes on to suggest that the error may be due to missing quotes, but it appears to my (very novice) eyes that that is not the problem.  I am including a couple screenshots of both the error and the alleged relevant portion of main.yml. 

Any help would be greatly appreciated!

 

Screenshot 2022-03-16 010409.jpgScreenshot 2022-03-16 012431.jpg

1 Reply
michaelzietlow
Active Member II

Re: Ansible Error: "couldn't resolve module/action 'postgresql_db'

Yes,  I saw the same error when I was installing alfresco-ansible-deployment-1.1.1.zip

 

It appears that there are a couple of modules not listed in the Alfresco Ansible deployment prerequisites  


You'll need to run ansible-galaxy each time you get a module/action ERROR:

Example:

ansible-galaxy collection install community.mysql
ansible-galaxy collection install community.postgresql
ansible-galaxy collection install community.seboolean